package de.dass_it.vanhelsing.gui.items;
public class ConsoleItem extends ItemType implements UserObjectItem{
	private String name;
	private String password;
	private String jobacl;
	private String clientacl;
	private String storageacl;
	private String scheduleacl;
	private String poolacl;
	private String fileSetacl;
	private String catalogacl;
	private String commandacl;
	private String whereacl;

	public ConsoleItem(){}

	public 	ConsoleItem(String name, String password){
		setName(name);
		setPassword(password);
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getJobacl() {
		return jobacl;
	}

	public void setJobacl(String jobacl) {
		this.jobacl = jobacl;
	}

	public String getClientacl() {
		return clientacl;
	}

	public void setClientacl(String clientacl) {
		this.clientacl = clientacl;
	}

	public String getStorageacl() {
		return storageacl;
	}

	public void setStorageacl(String storageacl) {
		this.storageacl = storageacl;
	}

	public String getScheduleacl() {
		return scheduleacl;
	}

	public void setScheduleacl(String scheduleacl) {
		this.scheduleacl = scheduleacl;
	}

	public String getPoolacl() {
		return poolacl;
	}

	public void setPoolacl(String poolacl) {
		this.poolacl = poolacl;
	}

	public String getFileSetacl() {
		return fileSetacl;
	}

	public void setFileSetacl(String fileSetacl) {
		this.fileSetacl = fileSetacl;
	}

	public String getCatalogacl() {
		return catalogacl;
	}

	public void setCatalogacl(String catalogacl) {
		this.catalogacl = catalogacl;
	}

	public String getCommandacl() {
		return commandacl;
	}

	public void setCommandacl(String commandacl) {
		this.commandacl = commandacl;
	}

	public String getWhereacl() {
		return whereacl;
	}

	public void setWhereacl(String whereacl) {
		this.whereacl = whereacl;
	}

}
